/***************************************************************************
                          fileloader.h  -  description
                             -------------------
    begin                : Tue Dec 3 2002
    copyright            : (C) 2002 by Willem Froehling
    email                : willem@koram.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILELOADER_H
#define FILELOADER_H

#include <qobject.h>
#include <qlabel.h>
#include <qpixmap.h>
#include <qwidget.h>

/**Diese Klasse ldt ein bestimmtes Bild aus dem Filesystem, welches anschliessend ber den Datenkanal gesendet wird
  *@author Willem Froehling
  */

class FileLoader : public QObject
{
public:
        FileLoader(QString bilddatei, QObject* parent=0);
        ~FileLoader();
        /** Diese Methode gibt einen Zeiger auf das Pixmap zurck */
        QPixmap* getPixmap();

        QPixmap* bild ;
};

#endif
