/***************************************************************************
                          image.h  -  description
                             -------------------
    begin                : Mon Dec 9 2002
    copyright            : (C) 2002 by Willem Froehling
    email                : willem@koram.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef IMAGE_H
#define IMAGE_H

#include <qpixmap.h>
#include <stdlib.h>
#include <string.h>
#include <qdatastream.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qlabel.h>

/**Diese Klasse sammelt die Bilderdaten, welche ber das Netzwerk empfangen wurde.
 
  *@author Willem Froehling
  */

class Image : public QPixmap
{
public:
        Image();
        ~Image();
        void appendData(char *data, int dSize);
        /** Gibt die Anzahl der Bytes, welche empfangen wurde zurck */
        int giveBytes();
        /** Wenn alle Daten empfangen wurden, wird hierdurch veranlasst, dass Bild auf den Bildschirm zu zeichnen */
        void showImage();

        char *bildBuffer, *tmpBuffer;
        uint bufferSize;

private:
        QByteArray baBuffer;
        QPixmap bild;

};

#endif

