/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Die Jan 22 20:43:44 CET 2002
    copyright            : (C) 2002 by Willem Froehling
    email                : willem@koram.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "bioserver.h"
#include <iostream.h>

static const char *description =
        I18N_NOOP("BioServer");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
        {
                { 0, 0, 0 }
                // INSERT YOUR COMMANDLINE OPTIONS HERE
        };

int main(int argc, char* argv[])
{

        KAboutData aboutData( "bioserver", I18N_NOOP("BioServer"),
                              VERSION, description, KAboutData::License_GPL,
                              "(c) 2002, Willem Froehling", 0, 0, "willem@koram.de");
        aboutData.addAuthor("Willem Froehling",0, "willem@koram.de");
        KCmdLineArgs::init( argc, argv, &aboutData );
        KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

        KApplication a;
        BioServer* bioserver = new BioServer();
        a.setMainWidget(bioserver);
        bioserver->show();
        return a.exec();
}



