/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Jan 21 12:38:33 CET 2002
    copyright            : (C) 2002 by Willem Froehling
    email                : willem@koram.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "bioclient.h"

static const char *description =
        I18N_NOOP("BioClient");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
        {
                { 0, 0, 0 }
                // INSERT YOUR COMMANDLINE OPTIONS HERE
        };

int main(int argc, char *argv[])
{

        KAboutData aboutData( "Client zum bertragen von biometrischen Daten", I18N_NOOP("BioClient"),
                              VERSION, description, KAboutData::License_GPL,
                              "(c) 2002, Willem Froehling", 0, 0, "willem@koram.de");
        aboutData.addAuthor("Willem Froehling",0, "willem@koram.de");
        KCmdLineArgs::init( argc, argv, &aboutData );
        KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

        KApplication a;
        BioClient *bioclient = new BioClient(argc<2 ? "localhost" : argv[1], 4342);
        a.setMainWidget(bioclient);
        bioclient->show();

        return a.exec();
}
